Skip to main content
PUT

NIC validations

  1. Eway bill should be active and valid
  2. GroupNo should be mapped to eway bill and should exists for that e-way bill
  3. OldvehcileNo or oldTranNo should exists for the same e-waybill and group in the system
  4. Valid vehicle number and reason codes

Request body schema

View request body schema

Authorizations

authorization
string
header
required

E-Way Bill taxpayer access token returned by Authenticate.

x-api-key
string
header
required

Sandbox API key from your Sandbox account.

Headers

x-api-version
string
default:1.0.0

API version

x-source
enum<string>
default:primary

NIC server for the session used by this request. primary selects NIC1. secondary selects NIC2. Defaults to primary. See NIC1 and NIC2 routing.

Available options:
primary,
secondary
x-proxy
enum<string>

NIC server that receives the request. If omitted, the request goes to the server selected by x-source. When specified, selects the other server. See NIC1 and NIC2 routing.

Available options:
primary,
secondary

Path Parameters

ewb_no
string
required

Body

application/json

Request body for UpdateMultiVehicle.

ewbNo
number
required

Ewaybill Number

groupNo
number
required

Group Number

oldvehicleNo
string
required

Old Vehicle Number

See vehicle number formats.

Required string length: 7 - 15
newVehicleNo
string
required

New Vehicle Number

See vehicle number formats.

Required string length: 7 - 15
oldTranNo
string
required

Old Tran Number

Maximum string length: 15
newTranNo
string
required

New Tran Number

Maximum string length: 15
fromPlace
string
required

From Place

Maximum string length: 50
fromState
integer
required

From State

Required range: x <= 99
reasonCode
string
required
Required string length: 1
reasonRem
string
required

Remarks

Maximum string length: 50

Response

200 - application/json

200 Vehicle updated / 301 Invalid EWB number / 411 Multi-vehicle not initiated for specified details

An E-Way Bill success or NIC business-failure response. Both variants use HTTP 200.

code
enum<integer>
required

NIC response code.

Available options:
200
timestamp
integer<int64>
required

Unix timestamp.

transaction_id
string
required

Request transaction identifier.

data
object
required